Index: Include/api_psapi.sbp
===================================================================
--- Include/api_psapi.sbp	(revision 96)
+++ Include/api_psapi.sbp	(revision 141)
@@ -1,9 +1,29 @@
+' api_psapi.sbp
+
 #ifndef _INC_PSAPI_
 #define _INC_PSAPI_
 
+#ifdef UNICODE
+Const _FuncName_GetModuleBaseName = "GetModuleBaseNameW"
+Const _FuncName_GetModuleFileNameEx = "GetModuleFileNameExW"
+Const _FuncName_GetMappedFileName = "GetMappedFileNameW"
+Const _FuncName_GetDeviceDriverBaseName = "GetDeviceDriverBaseNameW"
+Const _FuncName_GetDeviceDriverFileName = "GetDeviceDriverFileNameW"
+Const _FuncName_GetProcessImageFileName = "GetProcessImageFileNameW"
+Const _FuncName_EnumPageFiles = "EnumPageFilesW"
+#else
+Const _FuncName_GetModuleBaseName = "GetModuleBaseNameA"
+Const _FuncName_GetModuleFileNameEx = "GetModuleFileNameExA"
+Const _FuncName_GetMappedFileName = "GetMappedFileNameA"
+Const _FuncName_GetDeviceDriverBaseName = "GetDeviceDriverBaseNameA"
+Const _FuncName_GetDeviceDriverFileName = "GetDeviceDriverFileNameA"
+Const _FuncName_GetProcessImageFileName = "GetProcessImageFileNameA"
+Const _FuncName_EnumPageFiles = "EnumPageFilesA"
+#endif
+
 Declare Function EnumProcesses Lib "psapi" (lpidProcess As *DWord, cb As DWord, ByRef cbNeeded As DWord) As BOOL
 Declare Function EnumProcessModules Lib "psapi" (hProcess As HANDLE, lphModule As *HANDLE, cb As DWord, ByRef lpcbNeeded As DWord) As BOOL
-Declare Function GetModuleBaseName Lib "psapi" Alias "GetModuleBaseNameA" (hProcess As HANDLE, hModule As HANDLE, lpBaseName As LPSTR, nSize As DWord) As DWORD
-Declare Function GetModuleFileNameEx Lib "psapi" Alias "GetModuleFileNameExA" (hProcess As HANDLE, hModule As HANDLE, lpFilename As LPSTR, nSize As DWord) As DWORD
+Declare Function GetModuleBaseName Lib "psapi" Alias _FuncName_GetModuleBaseName (hProcess As HANDLE, hModule As HANDLE, lpBaseName As LPTSTR, nSize As DWord) As DWORD
+Declare Function GetModuleFileNameEx Lib "psapi" Alias _FuncName_GetModuleFileNameEx (hProcess As HANDLE, hModule As HANDLE, lpFilename As LPTSTR, nSize As DWord) As DWORD
 
 Type MODULEINFO
@@ -27,8 +47,8 @@
 
 Declare Function GetWsChanges Lib "psapi" (hProcess As HANDLE, lpWatchInfo As PPSAPI_WS_WATCH_INFORMATION, cb As DWord) As BOOL
-Declare Function GetMappedFileName Lib "psapi" Alias "GetMappedFileNameA" (hProcess As HANDLE, lpv As VoidPtr, lpFilename As LPSTR, nSize As DWord) As DWORD
+Declare Function GetMappedFileName Lib "psapi" Alias _FuncName_GetMappedFileName (hProcess As HANDLE, lpv As VoidPtr, lpFilename As LPTSTR, nSize As DWord) As DWORD
 Declare Function EnumDeviceDrivers Lib "psapi" (ByRef lpImageBase As VoidPtr, cb As DWord, ByRef lpcbNeeded As DWord) As BOOL
-Declare Function GetDeviceDriverBaseName Lib "psapi" Alias "GetDeviceDriverBaseNameA" (ImageBase As VoidPtr, lpBaseName As LPSTR, nSize As DWord) As DWORD
-Declare Function GetDeviceDriverFileName Lib "psapi" Alias "GetDeviceDriverFileNamA" (ImageBase As VoidPtr, lpFilename As LPSTR, nSize As DWord) As DWORD
+Declare Function GetDeviceDriverBaseName Lib "psapi" Alias _FuncName_GetDeviceDriverBaseName (ImageBase As VoidPtr, lpBaseName As LPTSTR, nSize As DWord) As DWORD
+Declare Function GetDeviceDriverFileName Lib "psapi" Alias _FuncName_GetDeviceDriverFileName (ImageBase As VoidPtr, lpFilename As LPTSTR, nSize As DWord) As DWORD
 
 ' Structure for GetProcessMemoryInfo()
@@ -100,7 +120,12 @@
 TypeDef PENUM_PAGE_FILE_CALLBACKW = *Function(pContext As VoidPtr, pPageFileInfo As PENUM_PAGE_FILE_INFORMATION, lpFilename As LPCWSTR) As BOOL
 TypeDef PENUM_PAGE_FILE_CALLBACKA = *Function(pContext As VoidPtr, pPageFileInfo As PENUM_PAGE_FILE_INFORMATION, lpFilename As LPCSTR) As BOOL
+#ifdef UNICODE
+TypeDef PENUM_PAGE_FILE_CALLBACK = PENUM_PAGE_FILE_CALLBACKW
+#else
+TypeDef PENUM_PAGE_FILE_CALLBACK = PENUM_PAGE_FILE_CALLBACKA
+#endif
 
-Declare Function EnumPageFiles Lib "psapi" Alias "EnumPageFilesA" (pCallBackRoutine As PENUM_PAGE_FILE_CALLBACKA, pContext As VoidPtr) As BOOL
-Declare Function GetProcessImageFileName Lib "psapi" Alias "GetProcessImageFileNameA" (hProcess As HANDLE, lpImageFileName As LPSTR, nSize As DWord) As DWORD
+Declare Function EnumPageFiles Lib "psapi" Alias _FuncName_EnumPageFiles (pCallBackRoutine As PENUM_PAGE_FILE_CALLBACK, pContext As VoidPtr) As BOOL
+Declare Function GetProcessImageFileName Lib "psapi" Alias _FuncName_GetProcessImageFileName (hProcess As HANDLE, lpImageFileName As LPTSTR, nSize As DWord) As DWORD
 
 #endif '_INC_PSAPI
